## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanList< Type >::Node Struct Reference

List of all members.

## Public Member Functions

- Node (const value_type &theValue, Node &prevNode, Node &nextNode)

## Public Attributes

- value_type value
- Node * prev
- Node * next

### template<class Type>
struct XalanList< Type >::Node

## Constructor & Destructor Documentation

template<class Type>
XalanList< Type >::Node::Node | ( | const value_type & | theValue,
|  | Node & | prevNode,
|  | Node & | nextNode
| ) |

## Member Data Documentation

template<class Type>
Node* XalanList< Type >::Node::next

template<class Type>
Node* XalanList< Type >::Node::prev

template<class Type>
value_type XalanList< Type >::Node::value

The documentation for this struct was generated from the following file:

- XalanList.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.